Subject: Re: bug#64202: [PATCH] Gnus: Add back end for Atom feeds (nnatom)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Jun 2023 16:02:27 +0300

> Date: Wed, 21 Jun 2023 10:08:51 +0300
> From:  Daniel Semyonov via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> This patch adds a back end for Atom feeds to Gnus, and documents it.

Thanks for working on this.

I don't use Gnus, so my comments will be mostly to the documentation
parts.  I expect others (CC'ed) to review the code more thoroughly.

> +Some web sites provide an Atom Syndication Format feed.  Atom is a web
> +feed format similar in function to RDF Site Summary (@xref{RSS}).
                                                        ^^^^^^^^^^
This should be @pxref, not @xref.

> +Note, however, that the server address shouldn't be prefixed with
> +@code{http://} or @code{https://}.

These should use @file, not @code, unless most or all of the rest of
the Gnus manual uses @code for URLs.

> +The @code{nnatom} back end saves a server data file in the
> +@code{atom} sub-directory of @code{gnus-directory} for each feed.

These should definitely be @file, not @code, as these are file names.

> +@defmac nnatom-define-basic-backend-interface backend
> +Define server variables expected by @code{nnatom} and import its back
> +end functions for BACKEND.  This macro (or code similar to it) should
                     ^^^^^^^
This should be @var{backend}.